Get my task types of an asset

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /data/user/assets/{asset_id}/task-types

Get the task types of the tasks of an asset that are assigned to you. Task types of closed projects are not listed.

Path parameters

  • asset_id string(uuid) Required

    Unique identifier of the asset

Responses

  • 200 application/json

    The list of task types

    Hide response attributes Show response attributes object
    • id string(uuid)

      Task type unique identifier

    • name string

      Task type name

    • short_name string

      Task type short name

    • color string

      Task type color

    • priority integer

      Task type priority

    • for_entity string

      Entity type this task type applies to

    • created_at string(date-time)

      Creation timestamp

    • updated_at string(date-time)

      Last update timestamp

  • 403

    You use a bot token

  • 404

    The asset does not exist

GET /data/user/assets/{asset_id}/task-types
curl -X GET "http://api.example.com/data/user/assets/a24a6ea4-ce75-4665-a070-57453082c25/task-types" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/user/assets/a24a6ea4-ce75-4665-a070-57453082c25/task-types"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Response examples (200)
[
  {
    "id": "b35b7fb5-df86-5776-b181-68564193d360",
    "name": "Modeling",
    "short_name": "MOD",
    "color": "#FF0000",
    "priority": 1,
    "for_entity": "Asset",
    "created_at": "2023-01-01T12:00:00Z",
    "updated_at": "2023-01-01T12:30:00Z"
  }
]